Bug 895245 - Port gpodder's use of PIL to support Pillow for F19
Port gpodder's use of PIL to support Pillow for F19
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gpodder (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PILLOW
  Show dependency treegraph
 
Reported: 2013-01-14 17:04 EST by Toshio Ernie Kuratomi
Modified: 2013-10-18 13:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-18 13:42:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to use the form of import of PIL that is pillow compatible (1.33 KB, patch)
2013-01-14 17:04 EST, Toshio Ernie Kuratomi
no flags Details | Diff

  None (edit)
Description Toshio Ernie Kuratomi 2013-01-14 17:04:23 EST
Created attachment 678450 [details]
Patch to use the form of import of PIL that is pillow compatible

Fedora 19 is going to stop shipping python-imaging (PIL) and start shipping python-pillow instead.  Rationale can be found on the feature page: https://fedoraproject.org/wiki/Features/Pillow .  pillow should be compatible with PIL at the code level but the import statement changes slightly.

PIL supports both of these:

import Image

from PIL import Image

Pillow only supports the latter form.

I grepped through the gpodder source and found some occurrences of "import Image".  I'll attach a patch that updates these to the new form of import.
Comment 1 Toshio Ernie Kuratomi 2013-01-29 12:14:02 EST
If I don't hear anything back from you, I'll go ahead and use provenpackager powers to apply this patch to the RawHide package next week.  I'll leave sending the patch to upstream up to you, though.
Comment 2 Ville-Pekka Vainio 2013-01-29 15:10:16 EST
I'm not the primary maintainer but I think the patch seems fine and you're welcome to apply it. Upstream is mostly concentrating on gPodder 3.x and I would need to check if a similar patch is needed there.
Comment 3 Toshio Ernie Kuratomi 2013-02-04 20:19:35 EST
Thanks!  Built a new gpodder in rawhide with the patch.  Do you want this bug left open until you look at whether upstream needs something for gPodder 3.x?
Comment 4 Fedora End Of Life 2013-04-03 16:26:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Ville-Pekka Vainio 2013-10-18 13:42:30 EDT
Nothing imports Image in gPodder 3.x so this bug can be closed. Thanks Toshio!

Note You need to log in before you can comment on or make changes to this bug.